Package org.apache.tools.ant

# Class ExitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
org.apache.tools.ant.ExitException

All Implemented Interfaces:
  `Serializable`

public class ExitException extends SecurityException
Used to report exit status of classes which call System.exit().

See Also:
  - `NoExitSecurityManager`
  - `Permissions`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExitException(int status)`
  Constructs an exit exception.
  `ExitException(String msg, int status)`
  Constructs an exit exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getStatus()`
  The status code returned by System.exit()

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExitException

    public ExitException(int status)
    Constructs an exit exception.
    Parameters:
      `status` - the status code returned via System.exit()

  - ### ExitException

    public ExitException(String msg, int status)
    Constructs an exit exception.
    Parameters:
      `msg` - the message to be displayed.
      `status` - the status code returned via System.exit()

- ## Method Details

  - ### getStatus

    public int getStatus()
    The status code returned by System.exit()
    Returns:
      the status code returned by System.exit()